diff --git a/gcc/dwarf2out.c b/gcc/dwarf2out.c
index 2b584a5..d11ae04 100644
--- a/gcc/dwarf2out.c
+++ b/gcc/dwarf2out.c
@@ -12677,7 +12677,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
       break;
 
     case UDIV:
-      if (!dwarf_strict && GET_MODE_CLASS (mode) == MODE_INT)
+      if (!GCC_OPTION (dwarf_strict) && GET_MODE_CLASS (mode) == MODE_INT)
 	{
 	  if (GET_MODE_CLASS (mode) > DWARF2_ADDR_SIZE)
 	    {
@@ -12725,7 +12725,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
 	  mem_loc_result = int_loc_descriptor (INTVAL (rtl));
 	  break;
 	}
-      if (!dwarf_strict
+      if (!GCC_OPTION (dwarf_strict)
 	  && (GET_MODE_BITSIZE (mode) == HOST_BITS_PER_WIDE_INT
 	      || GET_MODE_BITSIZE (mode) == HOST_BITS_PER_DOUBLE_INT))
 	{
@@ -12769,7 +12769,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
       break;
 
     case CONST_DOUBLE:
-      if (!dwarf_strict)
+      if (!GCC_OPTION (dwarf_strict))
 	{
 	  dw_die_ref type_die;
 
@@ -12936,7 +12936,7 @@ mem_loc_descriptor (rtx rtl, enum machine_mode mode,
     case UNSIGNED_FLOAT:
     case FIX:
     case UNSIGNED_FIX:
-      if (!dwarf_strict)
+      if (!GCC_OPTION (dwarf_strict))
 	{
 	  dw_die_ref type_die;
 	  dw_loc_descr_ref cvt;
@@ -13134,7 +13134,7 @@ implicit_ptr_descriptor (rtx rtl, HOST_WIDE_INT offset)
   dw_loc_descr_ref ret;
   dw_die_ref ref;
 
-  if (dwarf_strict)
+  if (GCC_OPTION (dwarf_strict))
     return NULL;
   gcc_assert (TREE_CODE (DEBUG_IMPLICIT_PTR_DECL (rtl)) == VAR_DECL
 	      || TREE_CODE (DEBUG_IMPLICIT_PTR_DECL (rtl)) == PARM_DECL
@@ -13268,7 +13268,7 @@ loc_descriptor (rtx rtl, enum machine_mode mode,
       if (mode == VOIDmode)
 	mode = GET_MODE (rtl);
 
-      if (mode != VOIDmode && (dwarf_version >= 4 || !dwarf_strict))
+      if (mode != VOIDmode && (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
 	{
 	  gcc_assert (mode == GET_MODE (rtl) || VOIDmode == GET_MODE (rtl));
 
@@ -13303,7 +13303,7 @@ loc_descriptor (rtx rtl, enum machine_mode mode,
       if (mode == VOIDmode)
 	mode = GET_MODE (rtl);
 
-      if (mode != VOIDmode && (dwarf_version >= 4 || !dwarf_strict))
+      if (mode != VOIDmode && (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
 	{
 	  unsigned int elt_size = GET_MODE_UNIT_SIZE (GET_MODE (rtl));
 	  unsigned int length = CONST_VECTOR_NUNITS (rtl);
@@ -13367,7 +13367,7 @@ loc_descriptor (rtx rtl, enum machine_mode mode,
 	break;
     case LABEL_REF:
       if (mode != VOIDmode && GET_MODE_SIZE (mode) == DWARF2_ADDR_SIZE
-	  && (dwarf_version >= 4 || !dwarf_strict))
+	  && (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
 	{
          loc_result = new_addr_loc_descr (rtl, dtprel_false);
 	  add_loc_descr (&loc_result, new_loc_descr (DW_OP_stack_value, 0, 0));
@@ -13392,8 +13392,8 @@ loc_descriptor (rtx rtl, enum machine_mode mode,
     default:
       if ((GET_MODE_CLASS (mode) == MODE_INT && GET_MODE (rtl) == mode
 	   && GET_MODE_SIZE (GET_MODE (rtl)) <= DWARF2_ADDR_SIZE
-	   && dwarf_version >= 4)
-	  || (!dwarf_strict && mode != VOIDmode && mode != BLKmode))
+	   && GCC_OPTION (dwarf_version) >= 4)
+	  || (!GCC_OPTION (dwarf_strict) && mode != VOIDmode && mode != BLKmode))
 	{
 	  /* Value expression.  */
 	  loc_result = mem_loc_descriptor (rtl, mode, VOIDmode, initialized);
@@ -13503,7 +13503,7 @@ dw_loc_list_1 (tree loc, rtx varloc, int want_address,
     return 0;
 
   if (want_address == 2 && !have_address
-      && (dwarf_version >= 4 || !dwarf_strict))
+      && (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
     {
       if (int_size_in_bytes (TREE_TYPE (loc)) > DWARF2_ADDR_SIZE)
 	{
@@ -13553,7 +13553,7 @@ new_loc_descr_op_bit_piece (HOST_WIDE_INT bitsize, HOST_WIDE_INT offset)
 {
   if ((bitsize % BITS_PER_UNIT) == 0 && offset == 0)
     return new_loc_descr (DW_OP_piece, bitsize / BITS_PER_UNIT, 0);
-  else if (dwarf_version >= 3 || !dwarf_strict)
+  else if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
     return new_loc_descr (DW_OP_bit_piece, bitsize, offset);
   else
     return NULL;
@@ -13978,7 +13978,7 @@ loc_list_for_address_of_addr_expr_of_indirect_ref (tree loc, bool toplev)
     list_ret = loc_list_from_tree (TREE_OPERAND (obj, 0), toplev ? 2 : 1);
   else if (toplev
 	   && int_size_in_bytes (TREE_TYPE (loc)) <= DWARF2_ADDR_SIZE
-	   && (dwarf_version >= 4 || !dwarf_strict))
+	   && (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
     {
       list_ret = loc_list_from_tree (TREE_OPERAND (obj, 0), 0);
       if (!list_ret)
@@ -14107,7 +14107,7 @@ loc_list_from_tree (tree loc, int want_address)
 	  else
 	    {
 	      if (!targetm.emutls.debug_form_tls_address
-		  || !(dwarf_version >= 3 || !dwarf_strict))
+		  || !(GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
 		return 0;
 	      /* We stuffed the control variable into the DECL_VALUE_EXPR
 		 to signal (via DECL_HAS_VALUE_EXPR_P) that the decl should
@@ -14534,7 +14534,7 @@ loc_list_from_tree (tree loc, int want_address)
     return 0;
 
   if (want_address == 2 && !have_address
-      && (dwarf_version >= 4 || !dwarf_strict))
+      && (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict)))
     {
       if (int_size_in_bytes (TREE_TYPE (loc)) > DWARF2_ADDR_SIZE)
 	{
@@ -14827,12 +14827,12 @@ add_accessibility_attribute (dw_die_ref die, tree decl)
     add_AT_unsigned (die, DW_AT_accessibility, DW_ACCESS_protected);
   else if (TREE_PRIVATE (decl))
     {
-      if (dwarf_version == 2
+      if (GCC_OPTION (dwarf_version) == 2
 	  || die->die_parent == NULL
 	  || die->die_parent->die_tag != DW_TAG_class_type)
 	add_AT_unsigned (die, DW_AT_accessibility, DW_ACCESS_private);
     }
-  else if (dwarf_version > 2
+  else if (GCC_OPTION (dwarf_version) > 2
 	   && die->die_parent
 	   && die->die_parent->die_tag == DW_TAG_class_type)
     add_AT_unsigned (die, DW_AT_accessibility, DW_ACCESS_public);
@@ -14912,7 +14912,7 @@ add_data_member_location_attribute (dw_die_ref die, tree decl)
 
   if (! loc_descr)
     {
-      if (dwarf_version > 2)
+      if (GCC_OPTION (dwarf_version) > 2)
 	{
 	  /* Don't need to output a location expression, just the constant. */
 	  if (offset < 0)
@@ -15093,7 +15093,7 @@ add_const_value_attribute (dw_die_ref die, rtx rtl)
       return true;
 
     case CONST_STRING:
-      if (dwarf_version >= 4 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict))
 	{
 	  dw_loc_descr_ref loc_result;
 	  resolve_one_addr (&rtl, NULL);
@@ -15114,7 +15114,7 @@ add_const_value_attribute (dw_die_ref die, rtx rtl)
       if (!const_ok_for_output (rtl))
 	return false;
     case LABEL_REF:
-      if (dwarf_version >= 4 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict))
 	goto rtl_addr;
       return false;
 
@@ -16160,7 +16160,7 @@ lower_bound_default (void)
     case DW_LANG_UPC:
     case DW_LANG_D:
     case DW_LANG_Python:
-      return dwarf_version >= 4 ? 0 : -1;
+      return GCC_OPTION (dwarf_version) >= 4 ? 0 : -1;
     case DW_LANG_Ada95:
     case DW_LANG_Ada83:
     case DW_LANG_Cobol74:
@@ -16168,7 +16168,7 @@ lower_bound_default (void)
     case DW_LANG_Pascal83:
     case DW_LANG_Modula2:
     case DW_LANG_PLI:
-      return dwarf_version >= 4 ? 1 : -1;
+      return GCC_OPTION (dwarf_version) >= 4 ? 1 : -1;
     default:
       return -1;
     }
@@ -16545,7 +16545,7 @@ add_pure_or_virtual_attribute (dw_die_ref die, tree func_decl)
 				   0));
 
       /* GNU extension: Record what type this method came from originally.  */
-      if (debug_info_level > DINFO_LEVEL_TERSE
+      if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE
 	  && DECL_CONTEXT (func_decl))
 	add_AT_die_ref (die, DW_AT_containing_type,
 			lookup_type_die (DECL_CONTEXT (func_decl)));
@@ -16565,7 +16565,7 @@ add_linkage_attr (dw_die_ref die, tree decl)
   if (name[0] == '*')
     name = &name[1];
 
-  if (dwarf_version >= 4)
+  if (GCC_OPTION (dwarf_version) >= 4)
     add_AT_string (die, DW_AT_linkage_name, name);
   else
     add_AT_string (die, DW_AT_MIPS_linkage_name, name);
@@ -16590,7 +16590,7 @@ add_src_coords_attributes (dw_die_ref die, tree decl)
 static void
 add_linkage_name (dw_die_ref die, tree decl)
 {
-  if (debug_info_level > DINFO_LEVEL_TERSE
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE
       && (TREE_CODE (decl) == FUNCTION_DECL || TREE_CODE (decl) == VAR_DECL)
       && TREE_PUBLIC (decl)
       && !DECL_ABSTRACT (decl)
@@ -16746,7 +16746,7 @@ scope_die_for (tree t, dw_die_ref context_die)
     {
       if (context_die == lookup_decl_die (containing_scope))
 	/* OK */;
-      else if (debug_info_level > DINFO_LEVEL_TERSE)
+      else if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	context_die = get_context_die (containing_scope);
       else
 	containing_scope = NULL_TREE;
@@ -16770,7 +16770,7 @@ scope_die_for (tree t, dw_die_ref context_die)
   else if (TYPE_P (containing_scope))
     {
       /* For types, we can just look up the appropriate DIE.  */
-      if (debug_info_level > DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	scope_die = get_context_die (containing_scope);
       else
 	{
@@ -16877,7 +16877,7 @@ add_calling_convention_attribute (dw_die_ref subr_die, tree decl)
 	rely on the old way, which we thus keep.  */
       value = DW_CC_program;
 
-      if (dwarf_version >= 4 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict))
 	add_AT_flag (subr_die, DW_AT_main_subprogram, 1);
     }
 
@@ -17284,7 +17284,7 @@ record_type_tag (tree type)
       return DW_TAG_class_type;
 
     case RECORD_IS_INTERFACE:
-      if (dwarf_version >= 3 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 	return DW_TAG_interface_type;
       return DW_TAG_structure_type;
 
@@ -17309,7 +17309,7 @@ gen_enumeration_type_die (tree type, dw_die_ref context_die)
 			  scope_die_for (type, context_die), type);
       equate_type_number_to_die (type, type_die);
       add_name_attribute (type_die, type_tag (type));
-      if (dwarf_version >= 4 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 4 || !GCC_OPTION (dwarf_strict))
 	{
 	  if (ENUM_IS_SCOPED (type))
 	    add_AT_flag (type_die, DW_AT_enum_class, 1);
@@ -17552,7 +17552,7 @@ gen_formal_types_die (tree function_or_method_type, dw_die_ref context_die)
 	  && link == first_parm_type)
 	{
 	  add_AT_flag (parm_die, DW_AT_artificial, 1);
-	  if (dwarf_version >= 3 || !dwarf_strict)
+	  if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 	    add_AT_die_ref (context_die, DW_AT_object_pointer, parm_die);
 	}
       else if (arg && DECL_ARTIFICIAL (arg))
@@ -17787,7 +17787,7 @@ dwarf2out_abstract_function (tree decl)
 
   /* Be sure we've emitted the in-class declaration DIE (if any) first, so
      we don't get confused by DECL_ABSTRACT.  */
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     {
       context = decl_class_context (decl);
       if (context)
@@ -17955,7 +17955,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
   if (!declaration && !origin && !old_die
       && DECL_CONTEXT (decl) && TYPE_P (DECL_CONTEXT (decl))
       && !class_or_namespace_scope_p (context_die)
-      && debug_info_level > DINFO_LEVEL_TERSE)
+      && GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     old_die = force_decl_die (decl);
 
   if (origin != NULL)
@@ -18028,7 +18028,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 
 	  /* If the prototype had an 'auto' or 'decltype(auto)' return type,
 	     emit the real type on the definition die.  */
-	  if (is_cxx() && debug_info_level > DINFO_LEVEL_TERSE)
+	  if (is_cxx() && GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	    {
 	      dw_die_ref die = get_AT_ref (old_die, DW_AT_type);
 	      if (die == auto_die || die == decltype_auto_die)
@@ -18046,7 +18046,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 
       add_name_and_src_coords_attributes (subr_die, decl);
       add_pubname (decl, subr_die);
-      if (debug_info_level > DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	{
 	  add_prototyped_attribute (subr_die, TREE_TYPE (decl));
 	  add_type_attribute (subr_die, TREE_TYPE (TREE_TYPE (decl)),
@@ -18069,7 +18069,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 	  /* If this is an explicit function declaration then generate
 	     a DW_AT_explicit attribute.  */
 	  if (lang_hooks.decls.function_decl_explicit_p (decl)
-	      && (dwarf_version >= 3 || !dwarf_strict))
+	      && (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
 	    add_AT_flag (subr_die, DW_AT_explicit, 1);
 
 	  /* The first time we see a member function, it is in the context of
@@ -18114,7 +18114,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 	equate_decl_number_to_die (decl, subr_die);
 
       gcc_checking_assert (fun);
-      if (!flag_reorder_blocks_and_partition)
+      if (!GCC_OPTION (flag_reorder_blocks_and_partition))
 	{
 	  dw_fde_ref fde = fun->fde;
 	  if (fde->dw_fde_begin)
@@ -18168,7 +18168,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 
 	  if (fde->dw_fde_second_begin)
 	    {
-	      if (dwarf_version >= 3 || !dwarf_strict)
+	      if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 		{
 		  /* We should use ranges for non-contiguous code section 
 		     addresses.  Use the actual code range for the initial
@@ -18245,7 +18245,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 	 (3) We can at least reuse the code inspection and interpretation
 	 code that determines the CFA position at various points in the
 	 function.  */
-      if (dwarf_version >= 3 && targetm.debug_unwind_info () == UI_DWARF2)
+      if (GCC_OPTION (dwarf_version) >= 3 && targetm.debug_unwind_info () == UI_DWARF2)
 	{
 	  dw_loc_descr_ref op = new_loc_descr (DW_OP_call_frame_cfa, 0, 0);
 	  add_AT_loc (subr_die, DW_AT_frame_base, op);
@@ -18272,7 +18272,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
     }
 
   /* Generate child dies for template paramaters.  */
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     gen_generic_params_dies (decl);
 
   /* Now output descriptions of the arguments for this function. This gets
@@ -18288,7 +18288,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
   /* In the case where we are describing a mere function declaration, all we
      need to do here (and all we *can* do here) is to describe the *types* of
      its formal parameters.  */
-  if (debug_info_level <= DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
     ;
   else if (declaration)
     gen_formal_types_die (decl, subr_die);
@@ -18333,7 +18333,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
 	      if (parm == DECL_ARGUMENTS (decl)
 		  && TREE_CODE (TREE_TYPE (decl)) == METHOD_TYPE
 		  && parm_die
-		  && (dwarf_version >= 3 || !dwarf_strict))
+		  && (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
 		add_AT_die_ref (subr_die, DW_AT_object_pointer, parm_die);
 
 	      parm = DECL_CHAIN (parm);
@@ -18389,7 +18389,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
       current_function_has_inlines = 0;
       decls_for_scope (outer_scope, subr_die, 0);
 
-      if (call_arg_locations && !dwarf_strict)
+      if (call_arg_locations && !GCC_OPTION (dwarf_strict))
 	{
 	  struct call_arg_loc_node *ca_loc;
 	  for (ca_loc = call_arg_locations; ca_loc; ca_loc = ca_loc->next)
@@ -18527,7 +18527,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
       call_arg_loc_last = NULL;
       if (tail_call_site_count >= 0
 	  && tail_call_site_count == tail_call_site_note_count
-	  && !dwarf_strict)
+	  && !GCC_OPTION (dwarf_strict))
 	{
 	  if (call_site_count >= 0
 	      && call_site_count == call_site_note_count)
@@ -18883,7 +18883,7 @@ add_call_src_coords_attributes (tree stmt, dw_die_ref die)
 {
   expanded_location s = expand_location (BLOCK_SOURCE_LOCATION (stmt));
 
-  if (dwarf_version >= 3 || !dwarf_strict)
+  if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
     {
       add_AT_file (die, DW_AT_call_file, lookup_filename (s.file));
       add_AT_unsigned (die, DW_AT_call_line, s.line);
@@ -18900,7 +18900,7 @@ add_high_low_attributes (tree stmt, dw_die_ref die)
   char label[MAX_ARTIFICIAL_LABEL_BYTES];
 
   if (BLOCK_FRAGMENT_CHAIN (stmt)
-      && (dwarf_version >= 3 || !dwarf_strict))
+      && (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
     {
       tree chain, superblock = NULL_TREE;
       dw_die_ref pdie;
@@ -19108,7 +19108,7 @@ gen_reference_type_die (tree type, dw_die_ref context_die)
 {
   dw_die_ref ref_die, scope_die = scope_die_for (type, context_die);
 
-  if (TYPE_REF_IS_RVALUE (type) && dwarf_version >= 4)
+  if (TYPE_REF_IS_RVALUE (type) && GCC_OPTION (dwarf_version) >= 4)
     ref_die = new_die (DW_TAG_rvalue_reference_type, scope_die, type);
   else
     ref_die = new_die (DW_TAG_reference_type, scope_die, type);
@@ -19149,10 +19149,10 @@ gen_producer_string (void)
   const char *language_string = lang_hooks.name;
   char *producer, *tail;
   const char *p;
-  size_t len = dwarf_record_gcc_switches ? 0 : 3;
+  size_t len = GCC_OPTION (dwarf_record_gcc_switches) ? 0 : 3;
   size_t plen = strlen (language_string) + 1 + strlen (version_string);
 
-  for (j = 1; dwarf_record_gcc_switches && j < save_decoded_options_count; j++)
+  for (j = 1; GCC_OPTION (dwarf_record_gcc_switches) && j < save_decoded_options_count; j++)
     switch (save_decoded_options[j].opt_index)
       {
       case OPT_o:
@@ -19289,7 +19289,7 @@ gen_compile_unit_die (const char *filename)
     language = DW_LANG_Fortran77;
   else if (strcmp (language_string, "GNU Pascal") == 0)
     language = DW_LANG_Pascal83;
-  else if (dwarf_version >= 3 || !dwarf_strict)
+  else if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
     {
       if (strcmp (language_string, "GNU Ada") == 0)
 	language = DW_LANG_Ada95;
@@ -19301,7 +19301,7 @@ gen_compile_unit_die (const char *filename)
 	language = DW_LANG_ObjC;
       else if (strcmp (language_string, "GNU Objective-C++") == 0)
 	language = DW_LANG_ObjC_plus_plus;
-      else if (dwarf_version >= 5 || !dwarf_strict)
+      else if (GCC_OPTION (dwarf_version) >= 5 || !GCC_OPTION (dwarf_strict))
 	{
 	  if (strcmp (language_string, "GNU Go") == 0)
 	    language = DW_LANG_Go;
@@ -19347,13 +19347,13 @@ gen_inheritance_die (tree binfo, tree access, dw_die_ref context_die)
      the default has always been DW_ACCESS_private.  */
   if (access == access_public_node)
     {
-      if (dwarf_version == 2
+      if (GCC_OPTION (dwarf_version) == 2
 	  || context_die->die_tag == DW_TAG_class_type)
       add_AT_unsigned (die, DW_AT_accessibility, DW_ACCESS_public);
     }
   else if (access == access_protected_node)
     add_AT_unsigned (die, DW_AT_accessibility, DW_ACCESS_protected);
-  else if (dwarf_version > 2
+  else if (GCC_OPTION (dwarf_version) > 2
 	   && context_die->die_tag != DW_TAG_class_type)
     add_AT_unsigned (die, DW_AT_accessibility, DW_ACCESS_private);
 }
@@ -19450,7 +19450,7 @@ gen_struct_or_union_type_die (tree type, dw_die_ref context_die,
   scope_die = scope_die_for (type, context_die);
 
   /* Generate child dies for template paramaters.  */
-  if (!type_die && debug_info_level > DINFO_LEVEL_TERSE)
+  if (!type_die && GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     schedule_generic_params_dies_gen (type);
 
   if (! type_die || (nested && is_cu_die (scope_die)))
@@ -19748,7 +19748,7 @@ gen_type_die_with_usage (tree type, dw_die_ref context_die,
   if (!TREE_ASM_WRITTEN (type)
       && lang_hooks.types.get_array_descr_info
       && lang_hooks.types.get_array_descr_info (type, &info)
-      && (dwarf_version >= 3 || !dwarf_strict))
+      && (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
     {
       gen_descr_array_type_die (type, &info, context_die);
       TREE_ASM_WRITTEN (type) = 1;
@@ -19923,7 +19923,7 @@ gen_block_die (tree stmt, dw_die_ref context_die, int depth)
     {
       /* Determine if this block directly contains any "significant"
 	 local declarations which we will need to output DIEs for.  */
-      if (debug_info_level > DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	/* We are not in terse mode so *any* local declaration counts
 	   as being a "significant" one.  */
 	must_output_die = ((BLOCK_VARS (stmt) != NULL
@@ -20016,7 +20016,7 @@ decls_for_scope (tree stmt, dw_die_ref context_die, int depth)
      sub-blocks.  Also, nested function and tag DIEs have been
      generated with a parent of NULL; fix that up now.  We don't
      have to do this if we're at -g1.  */
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     {
       for (decl = BLOCK_VARS (stmt); decl != NULL; decl = DECL_CHAIN (decl))
 	process_scope_var (stmt, decl, NULL_TREE, context_die);
@@ -20143,7 +20143,7 @@ force_decl_die (tree decl)
 	  break;
 
 	case NAMESPACE_DECL:
-	  if (dwarf_version >= 3 || !dwarf_strict)
+	  if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 	    dwarf2out_decl (decl);
 	  else
 	    /* DWARF2 has neither DW_TAG_module, nor DW_TAG_namespace.  */
@@ -20213,7 +20213,7 @@ declare_in_namespace (tree thing, dw_die_ref context_die)
 {
   dw_die_ref ns_context;
 
-  if (debug_info_level <= DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
     return context_die;
 
   /* If this decl is from an inlined function, then don't try to emit it in its
@@ -20360,7 +20360,7 @@ gen_decl_die (tree decl, tree origin, dw_die_ref context_die)
 	}
 
       /* Otherwise we're emitting the primary DIE for this decl.  */
-      else if (debug_info_level > DINFO_LEVEL_TERSE)
+      else if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	{
 	  /* Before we describe the FUNCTION_DECL itself, make sure that we
 	     have its containing type.  */
@@ -20392,7 +20392,7 @@ gen_decl_die (tree decl, tree origin, dw_die_ref context_die)
     case TYPE_DECL:
       /* If we are in terse mode, don't generate any DIEs to represent any
 	 actual typedefs.  */
-      if (debug_info_level <= DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
 	break;
 
       /* In the special case of a TYPE_DECL node representing the declaration
@@ -20416,7 +20416,7 @@ gen_decl_die (tree decl, tree origin, dw_die_ref context_die)
       break;
 
     case LABEL_DECL:
-      if (debug_info_level >= DINFO_LEVEL_NORMAL)
+      if (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_NORMAL)
 	gen_label_die (decl, context_die);
       break;
 
@@ -20424,7 +20424,7 @@ gen_decl_die (tree decl, tree origin, dw_die_ref context_die)
     case RESULT_DECL:
       /* If we are in terse mode, don't generate any DIEs to represent any
 	 variable declarations or definitions.  */
-      if (debug_info_level <= DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
 	break;
 
       /* Output any DIEs that are needed to specify the type of this data
@@ -20479,7 +20479,7 @@ gen_decl_die (tree decl, tree origin, dw_die_ref context_die)
 
     case NAMESPACE_DECL:
     case IMPORTED_DECL:
-      if (dwarf_version >= 3 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 	gen_namespace_die (decl, context_die);
       break;
 
@@ -20588,7 +20588,7 @@ dwarf2out_imported_module_or_decl_1 (tree decl,
 
   if (TREE_CODE (decl) == NAMESPACE_DECL)
     {
-      if (dwarf_version >= 3 || !dwarf_strict)
+      if (GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict))
 	imported_die = new_die (DW_TAG_imported_module,
 				lexical_block_die,
 				lexical_block);
@@ -20620,7 +20620,7 @@ dwarf2out_imported_module_or_decl (tree decl, tree name, tree context,
   /* dw_die_ref at_import_die;  */
   dw_die_ref scope_die;
 
-  if (debug_info_level <= DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
     return;
 
   gcc_assert (decl);
@@ -20636,7 +20636,7 @@ dwarf2out_imported_module_or_decl (tree decl, tree name, tree context,
       && !should_emit_struct_debug (context, DINFO_USAGE_DIR_USE))
     return;
 
-  if (!(dwarf_version >= 3 || !dwarf_strict))
+  if (!(GCC_OPTION (dwarf_version) >= 3 || !GCC_OPTION (dwarf_strict)))
     return;
 
   scope_die = get_context_die (context);
@@ -20663,7 +20663,7 @@ gen_namelist_decl (tree name, dw_die_ref scope_die, tree item_decls)
   tree value;
   unsigned i;
 
-  if (debug_info_level <= DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
     return NULL;
 
   gcc_assert (scope_die != NULL);
@@ -20745,7 +20745,7 @@ dwarf2out_decl (tree decl)
 	 we're a method, it will be ignored, since we already have a DIE.  */
       if (decl_function_context (decl)
 	  /* But if we're in terse mode, we don't care about scope.  */
-	  && debug_info_level > DINFO_LEVEL_TERSE)
+	  && GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
 	context_die = NULL;
       break;
 
@@ -20769,12 +20769,12 @@ dwarf2out_decl (tree decl)
 
       /* If we are in terse mode, don't generate any DIEs to represent any
 	 variable declarations or definitions.  */
-      if (debug_info_level <= DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
 	return;
       break;
 
     case CONST_DECL:
-      if (debug_info_level <= DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
 	return;
       if (!is_fortran () && !is_ada ())
 	return;
@@ -20784,7 +20784,7 @@ dwarf2out_decl (tree decl)
 
     case NAMESPACE_DECL:
     case IMPORTED_DECL:
-      if (debug_info_level <= DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
 	return;
       if (lookup_decl_die (decl) != NULL)
 	return;
@@ -20801,7 +20801,7 @@ dwarf2out_decl (tree decl)
 	return;
 
       /* If we are in terse mode, don't generate any DIEs for types.  */
-      if (debug_info_level <= DINFO_LEVEL_TERSE)
+      if (GCC_OPTION (debug_info_level) <= DINFO_LEVEL_TERSE)
 	return;
 
       /* If we're a function-scope tag, initially use a parent of NULL;
@@ -21349,7 +21349,7 @@ set_cur_line_info_table (section *sec)
     {
       const char *end_label;
 
-      if (flag_reorder_blocks_and_partition)
+      if (GCC_OPTION (flag_reorder_blocks_and_partition))
 	{
 	  if (in_cold_section_p)
 	    end_label = crtl->subsections.cold_section_end_label;
@@ -21391,7 +21391,7 @@ dwarf2out_begin_function (tree fun)
   if (sec != text_section)
     have_multiple_function_sections = true;
 
-  if (flag_reorder_blocks_and_partition && !cold_text_section)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition) && !cold_text_section)
     {
       gcc_assert (current_function_decl == fun);
       cold_text_section = unlikely_text_section ();
@@ -21484,12 +21484,12 @@ dwarf2out_source_line (unsigned int line, const char *filename,
   unsigned int file_num;
   dw_line_info_table *table;
 
-  if (debug_info_level < DINFO_LEVEL_TERSE || line == 0)
+  if (GCC_OPTION (debug_info_level) < DINFO_LEVEL_TERSE || line == 0)
     return;
 
   /* The discriminator column was added in dwarf4.  Simplify the below
      by simply removing it if we're not supposed to output it.  */
-  if (dwarf_version < 4 && dwarf_strict)
+  if (GCC_OPTION (dwarf_version) < 4 && GCC_OPTION (dwarf_strict))
     discriminator = 0;
 
   table = cur_line_info_table;
@@ -21518,7 +21518,7 @@ dwarf2out_source_line (unsigned int line, const char *filename,
   switch_to_section (current_function_section ());
 
   /* If requested, emit something human-readable.  */
-  if (flag_debug_asm)
+  if (GCC_OPTION (flag_debug_asm))
     fprintf (asm_out_file, "\t%s %s:%d\n", ASM_COMMENT_START, filename, line);
 
   if (DWARF2_ASM_LINE_DEBUG_INFO)
@@ -21574,7 +21574,7 @@ dwarf2out_source_line (unsigned int line, const char *filename,
 static void
 dwarf2out_start_source_file (unsigned int lineno, const char *filename)
 {
-  if (flag_eliminate_dwarf2_dups)
+  if (GCC_OPTION (flag_eliminate_dwarf2_dups))
     {
       /* Record the beginning of the file for break_out_includes.  */
       dw_die_ref bincl_die;
@@ -21583,7 +21583,7 @@ dwarf2out_start_source_file (unsigned int lineno, const char *filename)
       add_AT_string (bincl_die, DW_AT_name, remap_debug_filename (filename));
     }
 
-  if (debug_info_level >= DINFO_LEVEL_VERBOSE)
+  if (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_VERBOSE)
     {
       macinfo_entry e;
       e.code = DW_MACINFO_start_file;
@@ -21598,11 +21598,11 @@ dwarf2out_start_source_file (unsigned int lineno, const char *filename)
 static void
 dwarf2out_end_source_file (unsigned int lineno ATTRIBUTE_UNUSED)
 {
-  if (flag_eliminate_dwarf2_dups)
+  if (GCC_OPTION (flag_eliminate_dwarf2_dups))
     /* Record the end of the file for break_out_includes.  */
     new_die (DW_TAG_GNU_EINCL, comp_unit_die (), NULL);
 
-  if (debug_info_level >= DINFO_LEVEL_VERBOSE)
+  if (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_VERBOSE)
     {
       macinfo_entry e;
       e.code = DW_MACINFO_end_file;
@@ -21620,7 +21620,7 @@ static void
 dwarf2out_define (unsigned int lineno ATTRIBUTE_UNUSED,
 		  const char *buffer ATTRIBUTE_UNUSED)
 {
-  if (debug_info_level >= DINFO_LEVEL_VERBOSE)
+  if (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_VERBOSE)
     {
       macinfo_entry e;
       /* Insert a dummy first entry to be able to optimize the whole
@@ -21647,7 +21647,7 @@ static void
 dwarf2out_undef (unsigned int lineno ATTRIBUTE_UNUSED,
 		 const char *buffer ATTRIBUTE_UNUSED)
 {
-  if (debug_info_level >= DINFO_LEVEL_VERBOSE)
+  if (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_VERBOSE)
     {
       macinfo_entry e;
       /* Insert a dummy first entry to be able to optimize the whole
@@ -21719,7 +21719,7 @@ output_macinfo_op (macinfo_entry *ref)
     case DW_MACINFO_define:
     case DW_MACINFO_undef:
       len = strlen (ref->info) + 1;
-      if (!dwarf_strict
+      if (!GCC_OPTION (dwarf_strict)
 	  && len > DWARF_OFFSET_SIZE
 	  && !DWARF2_INDIRECT_STRING_SUPPORT_MISSING_ON_TARGET
 	  && (debug_str_section->common.flags & SECTION_MERGE) != 0)
@@ -21915,7 +21915,7 @@ save_macinfo_strings (void)
           case DW_MACINFO_define:
           case DW_MACINFO_undef:
             len = strlen (ref->info) + 1;
-            if (!dwarf_strict
+            if (!GCC_OPTION (dwarf_strict)
                 && len > DWARF_OFFSET_SIZE
                 && !DWARF2_INDIRECT_STRING_SUPPORT_MISSING_ON_TARGET
                 && (debug_str_section->common.flags & SECTION_MERGE) != 0)
@@ -21952,7 +21952,7 @@ output_macinfo (void)
 	      && (int) DW_MACINFO_end_file == (int) DW_MACRO_GNU_end_file);
 
   /* For .debug_macro emit the section header.  */
-  if (!dwarf_strict)
+  if (!GCC_OPTION (dwarf_strict))
     {
       dw2_asm_output_data (2, 4, "DWARF macro version number");
       if (DWARF_OFFSET_SIZE == 8)
@@ -21960,7 +21960,7 @@ output_macinfo (void)
       else
 	dw2_asm_output_data (1, 2, "Flags: 32-bit, lineptr present");
       dw2_asm_output_offset (DWARF_OFFSET_SIZE,
-                             (!dwarf_split_debug_info ? debug_line_section_label
+                             (!GCC_OPTION (dwarf_split_debug_info) ? debug_line_section_label
                               : debug_skeleton_line_section_label),
                              debug_line_section, NULL);
     }
